# Array Insert/Remove Performance Test

This test measures the performance of element insertions and removals in plain `Array`s and `Uint32Array`s.

For class `Array`, it compares `Array.prototype.splice` with `Array.prototype.copyWithin` and element relocations using a `for` loop.

For class `Uint32Array`, it compares `Array.prototype.copyWithin` with element relocations using a `for` loop. Because typed arrays are fixed-size, insertion of elements may need to create a new instance.

## Console

To run the performance test in the console:
* Change to this directory.
* Type `node main`.

## Browser

To run the performance test in a browser:
* Load the file `index.html` from this directory.
* Open the debug console.
* Press the `Start` button.
